Bug 186496 - update lang/qore to 0.8.8
Summary: update lang/qore to 0.8.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-05 20:30 UTC by estrabd
Modified: 2014-02-12 07:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.70 KB, patch)
2014-02-05 20:30 UTC, estrabd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description estrabd 2014-02-05 20:30:01 UTC
update lang/qore from 0.8.7 to 0.8.8

Fix: apply diff


Thanks!

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2014-02-05 20:30:09 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 estrabd 2014-02-10 22:12:34 UTC
following up about the status - wondering when this will see some movement.

thank you,

Brett
Comment 3 dfilter service freebsd_committer 2014-02-12 06:51:03 UTC
Author: rm
Date: Wed Feb 12 06:50:55 2014
New Revision: 343854
URL: http://svnweb.freebsd.org/changeset/ports/343854
QAT: https://qat.redports.org/buildarchive/r343854/

Log:
  - update to 0.8.8
  
  while here:
  - fix submission a bit (include back qore-modules)
  - fix build with clang
  - support staging
  
  PR:		186496
  Submitted by:	Brett Estrade <estrabd@gmail.com> (maintainer)

Added:
  head/lang/qore/files/
  head/lang/qore/files/patch-include__qore__common.h   (contents, props changed)
Modified:
  head/lang/qore/Makefile
  head/lang/qore/distinfo
  head/lang/qore/pkg-descr
  head/lang/qore/pkg-plist

Modified: head/lang/qore/Makefile
==============================================================================
--- head/lang/qore/Makefile	Wed Feb 12 05:57:58 2014	(r343853)
+++ head/lang/qore/Makefile	Wed Feb 12 06:50:55 2014	(r343854)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	qore
-PORTVERSION=	0.8.7
+PORTVERSION=	0.8.8
 CATEGORIES=	lang
 MASTER_SITES=	SF/qore/qore/${PORTVERSION}/
 
@@ -16,8 +16,7 @@ BUILD_DEPENDS=	${LOCALBASE}/bin/flex:${P
 		${LOCALBASE}/bin/bison:${PORTSDIR}/devel/bison
 
 USE_BZIP2=	yes
-USE_GMAKE=	yes
-USES=		pathfix iconv
+USES=		gmake iconv pathfix
 USE_OPENSSL=	yes
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
@@ -28,10 +27,8 @@ CONFIGURE_ENV=	LEX="${LOCALBASE}/bin/fle
 CONFIGURE_ARGS=	--disable-debug --disable-static --with-doxygen=no
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-MAN1=		qore.1
 PLIST_SUB=	PORTVERSION=${PORTVERSION}
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 .if ${ARCH} == "powerpc"

Modified: head/lang/qore/distinfo
==============================================================================
--- head/lang/qore/distinfo	Wed Feb 12 05:57:58 2014	(r343853)
+++ head/lang/qore/distinfo	Wed Feb 12 06:50:55 2014	(r343854)
@@ -1,2 +1,2 @@
-SHA256 (qore-0.8.7.tar.bz2) = 314c8c2a9394e8b366c8268183af959349b8d5eca0fcc456108a9efa71786ee7
-SIZE (qore-0.8.7.tar.bz2) = 8128234
+SHA256 (qore-0.8.8.tar.bz2) = d099bd7d14751a8d9529937116e0170b26dd431996b86bf2aa9568b661f89111
+SIZE (qore-0.8.8.tar.bz2) = 14351424

Added: head/lang/qore/files/patch-include__qore__common.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/qore/files/patch-include__qore__common.h	Wed Feb 12 06:50:55 2014	(r343854)
@@ -0,0 +1,10 @@
+--- ./include/qore/common.h.orig	2013-10-03 11:33:33.000000000 +0400
++++ ./include/qore/common.h	2014-02-12 02:20:02.000000000 +0400
+@@ -33,6 +33,7 @@
+ #include <strings.h>
+ #include <stdarg.h>
+ #include <stddef.h>
++#include <stdlib.h>
+ 
+ #include <string>
+ #include <functional>

Modified: head/lang/qore/pkg-descr
==============================================================================
--- head/lang/qore/pkg-descr	Wed Feb 12 05:57:58 2014	(r343853)
+++ head/lang/qore/pkg-descr	Wed Feb 12 06:50:55 2014	(r343854)
@@ -1,4 +1,4 @@
 Qore is a dynamically-typed, embeddabble programming
 language designed for SMP scalability.
 
-WWW: http://www.qore.org
+WWW: http://www.qore.org/

Modified: head/lang/qore/pkg-plist
==============================================================================
--- head/lang/qore/pkg-plist	Wed Feb 12 05:57:58 2014	(r343853)
+++ head/lang/qore/pkg-plist	Wed Feb 12 06:50:55 2014	(r343854)
@@ -73,17 +73,33 @@ include/qore/qore_bitopts.h
 include/qore/qore_thread.h
 include/qore/safe_dslist
 include/qore/support.h
+include/qore/QoreHttpClientObject.h
+include/qore/QoreSocketObject.h
+include/qore/qlist
 lib/libqore.la
 lib/libqore.so
-lib/libqore.so.15
+lib/libqore.so.16
+lib/qore-modules/%%PORTVERSION%%/CsvUtil.qm
 lib/qore-modules/%%PORTVERSION%%/HttpServer.qm
-lib/qore-modules/%%PORTVERSION%%/SmtpClient.qm
-lib/qore-modules/%%PORTVERSION%%/Mime.qm
-lib/qore-modules/%%PORTVERSION%%/TelnetClient.qm
 lib/qore-modules/%%PORTVERSION%%/MailMessage.qm
+lib/qore-modules/%%PORTVERSION%%/Mime.qm
+lib/qore-modules/%%PORTVERSION%%/MysqlSqlUtil.qm
+lib/qore-modules/%%PORTVERSION%%/OracleSqlUtil.qm
+lib/qore-modules/%%PORTVERSION%%/PgsqlSqlUtil.qm
 lib/qore-modules/%%PORTVERSION%%/Pop3Client.qm
-lib/qore-modules/%%PORTVERSION%%/CsvUtil.qm
+lib/qore-modules/%%PORTVERSION%%/Qorize.qm
+lib/qore-modules/%%PORTVERSION%%/RestClient.qm
+lib/qore-modules/%%PORTVERSION%%/RestHandler.qm
+lib/qore-modules/%%PORTVERSION%%/SmtpClient.qm
+lib/qore-modules/%%PORTVERSION%%/SqlUtil.qm
+lib/qore-modules/%%PORTVERSION%%/TelnetClient.qm
+lib/qore-modules/%%PORTVERSION%%/Util.qm
+lib/qore-modules/%%PORTVERSION%%/WebSocketClient.qm
+lib/qore-modules/%%PORTVERSION%%/WebSocketHandler.qm
+lib/qore-modules/%%PORTVERSION%%/WebSocketUtil.qm
+lib/qore-modules/%%PORTVERSION%%/WebUtil.qm
 libdata/pkgconfig/qore.pc
+man/man1/qore.1.gz
 @dirrm include/qore
 @dirrm lib/qore-modules/%%PORTVERSION%%
 @dirrm lib/qore-modules
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2014-02-12 06:51:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2014-02-12 06:51:45 UTC
State Changed
From-To: open->closed

Committed, thank you!